@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Allura&display=swap');

body{
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}
/* ------------------------------------------------NavBar----------------------------------------------- */
#options{
    gap: 1.1rem;
    font-size: 1.1rem;
    font-weight: 500;
}

.navbar {
    position: fixed; /* Mantiene la barra de navegación fija en la parte superior */
    width: 100%; /* Asegura que la barra de navegación cubra todo el ancho */
    z-index: 1000; /* Un valor alto para asegurar que esté por encima de otros contenidos */
    background-color: rgb(255, 255, 255);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}
/* .Principal-text-nav{
    color: #0832A2;
} */
.navbar-brand img{
    height: 5rem;
    padding-left: 3rem;
}
.nav-link{
    transition: all 0.4s ease;
    border-radius: 10px;
}
.nav-link:hover{
    border-radius: 50px;
    background-color: #0832A2;
    color: #fff;
}
@media (max-width: 768px) {
    .nav-link{
        background-color: transparent;
        transition: none;
        border-radius: 0;
        transition: all 0.3s ease;
    }
    .nav-link:hover{
        background-color: transparent;
        border-radius: 0;
        color: black;
    }
    .fs-3 {
        font-size: calc(1.2rem + -0.5vw) !important;
    }
    .navbar-brand img{
        height: 4rem;
        padding-left: 0.5rem;
    }
}
/*--------------------------------------------------boton whatsapp------------------------------------------------*/
.btn__wsp{
    position: fixed;/*Posicion fija en la pantalla*/
    width: 50px;
    height: 50px;
    line-height: 46px;
    bottom: 30px;
    right: 30px;
    background: #0df053;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.3);
    z-index: 100;
    transition: transform 0.3s ease;/* animación para cuando crezca el boton */
}

.btn__wsp:hover{
    text-decoration: none;
    background: #fff;
    transform: scale(1.5);/* hace mas grande la escala al colocar el raton */
}

.icon__whatsapp{
    filter: invert(86%) sepia(78%) saturate(0%) hue-rotate(74deg) brightness(112%) contrast(100%);
}
.icon__whatsapp:hover{
    filter: invert(85%) sepia(29%) saturate(5655%) hue-rotate(80deg) brightness(97%) contrast(98%);
}
/*---------------------------------------- Final pagina ---------------------------------------------------*/
footer{
    width: 100%;
    background-color: #FFFFFF;
}
footer p{
    color: #0832A2;
}
.redes_icons img {
    width: 1.7rem;
    height: 1.7rem;
}
.facebook, .instagram, .email{
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #0832A2;
    border-radius: 50px;
    margin: 0 10px;
    transition: transform 0.3s ease;
}
.facebook:hover, .instagram:hover, .email:hover{
    text-decoration: none;
    transform: scale(1.3);/* hace mas grande la escala al colocar el raton */
}


/*------------------------------------ Botones contactos ------------------------------------*/
.contact-buttons {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 1000;
}

.contact-button {
    width: 50px;
    height: 50px;
    background: #0832A2;
    border-radius: 50px;
    text-align: center;
    line-height: 50px;
    margin-bottom: 10px;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.contact-button img {
    width: 30px;
    height: 30px;
    color: #FFFFFF;
}

.contact-button:hover {
    transform: scale(1.2);
}

.hidden {
    display: none;
}

.contact-button.hidden {
    opacity: 0;
    transform: translateY(20px); /* Ajusta el desplazamiento vertical según sea necesario */
}

.contact-button.visible {
    opacity: 1;
    transform: translateY(0);
}

.contact-button.transition {
    transition: transform 0.3s ease, opacity 0.3s ease;
}
